%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name HTML_Template_PHPLIB

Name:		php-pear-HTML_Template_PHPLIB
Version:	1.5.2
Release:	3%{?dist}
Summary:	PHP template system based on preg_* 
Group:		Development/Libraries
License:	LGPLv2
URL:		http://pear.php.net/package/%{pear_name}
Source0:	http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildArch:	noarch
BuildRequires:	php-pear

Requires:	php-pear(PEAR)
Requires:	php-pcre
Requires(post):	%{__pear}
Requires(postun):	%{__pear}

Provides:	php-pear(%{pear_name}) = %{version}


%description
This is the PEAR port of the popular PHPLIB template system. It
contains some features not currently found in the original version.


%prep
%setup -q -c
cd %{pear_name}-%{version}
sed -e '/README/s/role="data"/role="doc"/' \
    -e '/README/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml

iconv -f iso8859-1 -t utf-8 examples/README >examples/README.conv && \
   mv -f examples/README.conv examples/README


%build
# Empty build section nothing to do here


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
	%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/HTML/Template
%{_bindir}/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Remi Collet <remi@fedoraproject.org> - 1.5.2-1
- update to 1.5.2
- define metadir, fix FTBFS #914362
- rename HTML_Template_PHPLIB.xml to php-pear-HTML_Template_PHPLIB.xml
- keep doc in /usr/share/doc/pear
- fix README role and encoding in %%prep
- cleanups

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.4.0-6
- rebuilt for new pear_testdir

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Andrew Colin Kissa <andrew@topdog.za.net> 1.4.0-2
- Fix naming 

* Mon Jul 27 2009 Andrew Colin Kissa <andrew@topdog.za.net> 1.4.0-1
- Initial packaging
